type Course @table(name: "courses") {
  id: UUID! @default(expr: "uuidV4()")

  title: String
  description: String
  thumbnailUrl: String
  durationMinutes: Int
  xpReward: Int
  categoryId: UUID!
  category: Category! @ref(fields: "categoryId", references: "id")

  levelRequired: String
  isCertification: Boolean

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
